Subject: bug#48700: guix import fails with unexpected token

From: "Philip Munksgaard" <[email-masked]>
Date: Thu, 10 Jun 2021 14:20:54 +0200

Hi zimoun,

If I understand you correctly, you're saying that this issue is an instance of bug#44115 because we get a backtrace instead of a nice error. I agree that the backtrace is ugly, but in this case the error shouldn't happen at all because all the recursively imported packages exist.

The reason why the backtrace occurs is that the cabal-file for one of the recursively imported dependencies (versions) cannot be parsed using the current version of guix/import/cabal.scm. You'll find that `guix import hackage -r futhark` works as expected with the submitted patch#48943.

Furthermore, I actually think that a backtrace _is_ desirable in this case, because it is an error in the script, and not in the users input or some third-party repository.

As you say, your example works, but you've forgotten the "versions" dependency. If you add that to your list it will not work.

Best regards,
Philip